import "./styles/global.css";

import { createApp } from "vue";
import App from "./App.vue";
import router from "@/router";
import filters from "@/filters";
import { createPinia } from "pinia";
import { vueErrorHandler } from "./utils/monitors";

const app = createApp(App);
app.use(router);
app.use(createPinia());
app.config.globalProperties.$filters = filters;
app.config.errorHandler = vueErrorHandler;

app.mount("#app");
